## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library(S4Cartographer)

## ----S4Vectors, fig.wide = TRUE-----------------------------------------------
plotS4ClassGraph("S4Vectors")

## ----BasicBioconductor, fig.wide = TRUE---------------------------------------
plotS4ClassGraph(c("S4Vectors", "IRanges", "GenomicRanges"))

## ----ExpandedBioconductor, fig.wide = TRUE------------------------------------
plotS4ClassGraph(c("S4Vectors", "IRanges", "GenomicRanges", 
                   "SummarizedExperiment", "XVector", "Biostrings", 
                   "GenomicFeatures", "GenomicAlignments"))

## ----DelayedArray, fig.wide = TRUE--------------------------------------------
plotS4ClassGraph(c("DelayedArray", "HDF5Array", "TileDBArray", "VCFArray", 
                   "ScaledMatrix", "ResidualMatrix", "BiocSingular"))

## ----SummarizedExperiment, fig.wide = TRUE------------------------------------
plotS4ClassGraph(c("SummarizedExperiment", "SingleCellExperiment", 
                   "SpatialExperiment", "clusterExperiment", "InteractionSet", 
                   "MultiAssayExperiment", "GenomicFiles", "DESeq2"))

## ----introspection------------------------------------------------------------
plotS4ClassGraph(c("SummarizedExperiment", "SingleCellExperiment"), plot=FALSE)

## ----sessionInfo--------------------------------------------------------------
sessionInfo()

